Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_PublicObjectSelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector
          oracle.ifs.server.S_PublicObjectSelector

Direct Known Subclasses:
  S_AccessControlListSelector, S_ApplicationObjectSelector, S_CategorySelector, S_DirectoryObjectSelector, S_DirectoryUserSelector, S_DocumentSelector, S_FamilySelector, S_FolderSelector, S_LinkSelector, S_LockEntrySelector, S_SearchObjectSelector, S_SelectorObjectSelector, S_UserProfileSelector, S_VersionDescriptionSelector, S_VersionSeriesSelector

    public class S_PublicObjectSelector

extends S_LibraryObjectSelector

The `S_PublicObjectSelector` class

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObjectSelector
`m_ClassId, m_IdSortSpecification, m_NameSortSpecification, m_Session`

Constructor Summary
`protected` | `S_PublicObjectSelector(S_LibrarySession session, java.lang.Long classId)` Construct a S_PublicObjectSelector object.

Method Summary
`protected LibraryQueryStatement` | `getLeftObjectsCountSelectStatement(LibraryConnection lconn, java.sql.Connection conn, java.lang.Long rightId, java.lang.String relClassName)`
`protected LibraryQueryStatement` | `getLeftObjectsSelectStatement(LibraryConnection lconn, java.sql.Connection conn, java.lang.Long rightId, java.lang.String relClassName, SortSpecification sort)`
`protected LibraryQueryStatement` | `getRightObjectsCountSelectStatement(LibraryConnection lconn, java.sql.Connection conn, java.lang.Long leftId, java.lang.String relClassName)`
`protected LibraryQueryStatement` | `getRightObjectsSelectStatement(LibraryConnection lconn, java.sql.Connection conn, java.lang.Long leftId, java.lang.String relClassName, SortSpecification sort)`
`protected java.util.Vector` | `selectLeftObjects(java.lang.Long rightId, java.lang.String relClassName, SortSpecification sort)`
`protected long` | `selectLeftObjectsCount(java.lang.Long rightId, java.lang.String relClassName)`
`protected S_LibraryObjectCursor` | `selectLeftObjectsCursor(java.lang.Long rightId, java.lang.String relClassName, SortSpecification sort)`
`protected java.util.Vector` | `selectRightObjects(java.lang.Long leftId, java.lang.String relClassName, SortSpecification sort)`
`protected long` | `selectRightObjectsCount(java.lang.Long leftId, java.lang.String relClassName)`
`protected S_LibraryObjectCursor` | `selectRightObjectsCursor(java.lang.Long leftId, java.lang.String relClassName, SortSpecification sort)`

Methods inherited from class oracle.ifs.server.S_LibraryObjectSelector
`closeCursor, ensureDefaultClass, findObjectById, generateStatementName, generateStatementName, generateStatementName, generateStatementName, getClassData, getClassId, getClassName, getComplexQueryStatement, getCountFromResultSet, getIdSortSpecification, getNameSortSpecification, getResourceString, getService, getSimpleCountQueryStatement, getSimpleQueryStatement, getStatementSuffix, nextItem, selectAllObjects, selectArrayReferencingObjects, selectArrayReferencingObjectsCount, selectArrayReferencingObjectsCursor, selectCount, selectCount, selectObjectById, selectObjects, selectObjects, selectObjects, selectObjects, selectObjectsByMasterId, selectObjectsByStringAttribute, selectObjectsCountByMasterId, selectObjectsCursor, selectObjectsCursorByMasterId, selectObjectsCursorByStringAttribute, selectObjectsExistByMasterId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_PublicObjectSelector

    protected S_PublicObjectSelector(S_LibrarySession session,
                                     java.lang.Long classId)
                              throws IfsException

  Construct a S_PublicObjectSelector object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `classId` - class Id this selector is servicing
  Throws:
    `IfsException`

Method Detail

### selectRightObjects

    protected java.util.Vector selectRightObjects(java.lang.Long leftId,
                                                  java.lang.String relClassName,
                                                  SortSpecification sort)
                                           throws IfsException

  Throws:
    `IfsException`

### selectRightObjectsCursor

    protected S_LibraryObjectCursor selectRightObjectsCursor(java.lang.Long leftId,
                                                             java.lang.String relClassName,
                                                             SortSpecification sort)
                                                      throws IfsException

  Throws:
    `IfsException`

### selectRightObjectsCount

    protected long selectRightObjectsCount(java.lang.Long leftId,
                                           java.lang.String relClassName)
                                    throws IfsException

  Throws:
    `IfsException`

### selectLeftObjects

    protected java.util.Vector selectLeftObjects(java.lang.Long rightId,
                                                 java.lang.String relClassName,
                                                 SortSpecification sort)
                                          throws IfsException

  Throws:
    `IfsException`

### selectLeftObjectsCursor

    protected S_LibraryObjectCursor selectLeftObjectsCursor(java.lang.Long rightId,
                                                            java.lang.String relClassName,
                                                            SortSpecification sort)
                                                     throws IfsException

  Throws:
    `IfsException`

### selectLeftObjectsCount

    protected long selectLeftObjectsCount(java.lang.Long rightId,
                                          java.lang.String relClassName)
                                   throws IfsException

  Throws:
    `IfsException`

### getRightObjectsSelectStatement

    protected LibraryQueryStatement getRightObjectsSelectStatement(LibraryConnection lconn,
                                                                   java.sql.Connection conn,
                                                                   java.lang.Long leftId,
                                                                   java.lang.String relClassName,
                                                                   SortSpecification sort)
                                                            throws IfsException

  Throws:
    `IfsException`

### getRightObjectsCountSelectStatement

    protected LibraryQueryStatement getRightObjectsCountSelectStatement(LibraryConnection lconn,
                                                                        java.sql.Connection conn,
                                                                        java.lang.Long leftId,
                                                                        java.lang.String relClassName)
                                                                 throws IfsException

  Throws:
    `IfsException`

### getLeftObjectsSelectStatement

    protected LibraryQueryStatement getLeftObjectsSelectStatement(LibraryConnection lconn,
                                                                  java.sql.Connection conn,
                                                                  java.lang.Long rightId,
                                                                  java.lang.String relClassName,
                                                                  SortSpecification sort)
                                                           throws IfsException

  Throws:
    `IfsException`

### getLeftObjectsCountSelectStatement

    protected LibraryQueryStatement getLeftObjectsCountSelectStatement(LibraryConnection lconn,
                                                                       java.sql.Connection conn,
                                                                       java.lang.Long rightId,
                                                                       java.lang.String relClassName)
                                                                throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD